> ## Documentation Index
> Fetch the complete documentation index at: https://developers.autocaption.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcript a video

> Accepts a file name and language, and returns a job ID for the transcription task.



## OpenAPI

````yaml post /transcript
openapi: 3.0.1
info:
  title: AutoCaption API
  description: >-
    An API to use AutoCaption's services for video transcription and video
    generation with captions.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.autocaption.io/v1
security:
  - ApiKeyAuth: []
paths:
  /transcript:
    post:
      summary: Transcript a video
      description: >-
        Accepts a file name and language, and returns a job ID for the
        transcription task.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_transcript_body'
        required: true
      responses:
        '200':
          description: Successfully started the transcription job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1_transcript_response_200'
        '400':
          description: Bad request. The request body is missing or malformed.
        '500':
          description: Internal server error.
components:
  schemas:
    v1_transcript_body:
      required:
        - input
        - lang
      type: object
      properties:
        input:
          type: string
          description: The key returned by the signedUrl.
        lang:
          type: string
          description: The language code of the video
    v1_transcript_response_200:
      required:
        - job_id
      type: object
      properties:
        job_id:
          type: string
          description: The unique identifier for the transcription job.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````